#*******************************************************************************
#Copyright (c) 2008 IBM Corporation and others
#All rights reserved. This program and the accompanying materials
#are made available under the terms of the Eclipse Public License v1.0
#which accompanies this distribution, and is available at
#http://www.eclipse.org/legal/epl-v10.html
#
#Contributors:
#    IBM Corporation - initial API and implementation
#    CA - Modified to make axis2 path as optional
#*******************************************************************************
#!/bin/sh

if [ $# -lt 3 ]; then
  java -cp config.jar org.eclipse.cosmos.demo.internal.config.DemoConfig
else
        if [ $# -eq 4 ]; then
        	java -cp config.jar org.eclipse.cosmos.demo.internal.config.DemoConfig "$1" "$2" "$3" "$4"
        else
        	java -cp config.jar org.eclipse.cosmos.demo.internal.config.DemoConfig "$1" "$2" "$3"
        fi
fi
